searchNodes=[{"doc":"Ecto schema representing a Flagsmith Segment Condition definition.","ref":"Flagsmith.Schemas.Segments.Segment.Condition.html","title":"Flagsmith.Schemas.Segments.Segment.Condition","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Segments.Segment.Condition.html#t:t/0","title":"Flagsmith.Schemas.Segments.Segment.Condition.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith Segment Rule definition.","ref":"Flagsmith.Schemas.Segments.Segment.Rule.html","title":"Flagsmith.Schemas.Segments.Segment.Rule","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Segments.Segment.Rule.html#t:t/0","title":"Flagsmith.Schemas.Segments.Segment.Rule.t/0","type":"type"},{"doc":"","ref":"Flagsmith.Client.html","title":"Flagsmith.Client","type":"module"},{"doc":"Return all flags from an environment as a list. If a Flagsmith.Schemas.Environment.t/0 is passed instead of a Flagsmith.Configuration.t/0 or list of options, then the flags are extracted from it.","ref":"Flagsmith.Client.html#all_flags/1","title":"Flagsmith.Client.all_flags/1","type":"function"},{"doc":"Returns an :ok tuple containing a Flagsmith.Schemas.Environment.t/0 struct, either from the local evaluation or API depending on the configuration used, or an :error tuple if unable to. Passing a Flagsmith.Configuration.t/0 or options with :enable_local_evaluation as true will start a local process for the given api key used, if one is not started yet, which requires you to be running the Flagsmith.Supervisor .","ref":"Flagsmith.Client.html#get_environment/1","title":"Flagsmith.Client.get_environment/1","type":"function"},{"doc":"Returns an :ok tuple containing a list of Flagsmith.Schemas.Flag.t/0 structs, either from the local evaluation or API depending on the configuration used, or an :error tuple if unable to. Passing a Flagsmith.Configuration.t/0 or options with :enable_local_evaluation as true will start a local process for the given api key used, if one is not started yet, which requires you to be running the Flagsmith.Supervisor .","ref":"Flagsmith.Client.html#get_environment_flags/1","title":"Flagsmith.Client.get_environment_flags/1","type":"function"},{"doc":"Returns a Flagsmith.Schemas.Flag.t/0 by name, or :not_found if the feature doesn't exist. If a Flagsmith.Schemas.Environment.t/0 is passed instead of a Flagsmith.Configuration.t/0 or list of options, then the feature is looked up in that environment, otherwise a local evaluation or api call is executed according to the configuration or passed options.","ref":"Flagsmith.Client.html#get_feature_value/2","title":"Flagsmith.Client.get_feature_value/2","type":"function"},{"doc":"Returns a Flagsmith.Schemas.Flag.t/0 by name. If the feature doesn't exist, it returns :not_found by default or in case default_flag_handler has been set returns what the call to that function with the feature name returns. If a Flagsmith.Schemas.Environment.t/0 is passed instead of a Flagsmith.Configuration.t/0 or list of options, then the feature is looked up in that environment, otherwise a local evaluation or api call is executed according to the configuration or passed options.","ref":"Flagsmith.Client.html#get_flag/2","title":"Flagsmith.Client.get_flag/2","type":"function"},{"doc":"Returns an :ok tuple containing a list of Flagsmith.Schemas.Flag.t/0 structs, either from the local evaluation or API depending on the configuration used, or an :error tuple if unable to. The flags are retrieved based on a user identifier so take into account segments and traits. Note: when using local evaluation there's no way to update the traits, the traits passed on to this function are used to check any segment rule specified on the Flagsmith.Schemas.Environment.t/0 you're accessing. On the other hand, when using the live API evaluation the traits you pass will be used to update the traits associated with the identity you're specifying. Passing a Flagsmith.Configuration.t/0 or options with :enable_local_evaluation as true will start a local process for the given api key used, if one is not started yet, which requires you to be running the Flagsmith.Supervisor .","ref":"Flagsmith.Client.html#get_identity_flags/3","title":"Flagsmith.Client.get_identity_flags/3","type":"function"},{"doc":"Returns the :enabled status of a feature by name, or :not_found if the feature doesn't exist. If a Flagsmith.Schemas.Environment.t/0 is passed instead of a Flagsmith.Configuration.t/0 or list of options, then the feature is evaluated from that environment, otherwise a local evaluation or api call is executed according to the configuration or passed options.","ref":"Flagsmith.Client.html#is_feature_enabled/2","title":"Flagsmith.Client.is_feature_enabled/2","type":"function"},{"doc":"Create a Flagsmith.Configuration.t/0 struct with the desired settings to use in requests. All settings are optional with exception of the :environment_key if not configured at the application level. Non specified options will assume defaults, or if set at the application level use that.","ref":"Flagsmith.Client.html#new/1","title":"Flagsmith.Client.new/1","type":"function"},{"doc":"","ref":"Flagsmith.Client.html#t:config_or_env/0","title":"Flagsmith.Client.config_or_env/0","type":"type"},{"doc":"","ref":"Flagsmith.Client.html#t:tesla_header_list/0","title":"Flagsmith.Client.tesla_header_list/0","type":"type"},{"doc":"","ref":"Flagsmith.Configuration.html","title":"Flagsmith.Configuration","type":"module"},{"doc":"","ref":"Flagsmith.Configuration.html#t:t/0","title":"Flagsmith.Configuration.t/0","type":"type"},{"doc":"Implements the necessary supervision tree to ensure Poller and Analytics processors can be started, accessed and supervised correctly. To use it either add it to your application supervision tree: defmodule YourApp.Application do # ... def start ( _type , _args ) do children = [ Flagsmith.Supervisor , # ... other stuff ] opts = [ strategy : :one_for_one , name : YourApp.Supervisor ] Supervisor . start_link ( children , opts ) end # ... end Or start it somewhere: {:ok, pid} = Flagsmith.Supervisor.start_link() This supervisor starts 3 additional processes, a local Registry and two dynamic supervisors responsible for starting Pollers and Analytics processes (usually a single one, but since they are isolated by sdk key used, if you use multiple sdks to access different environments in Flagsmith, in the same application you'll end up with that same amount of processes, number of environments times 2). The pollers and analytics are only started once there are interactions with either, and they stay until application shutdown.","ref":"Flagsmith.Supervisor.html","title":"Flagsmith.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Flagsmith.Supervisor.html#child_spec/1","title":"Flagsmith.Supervisor.child_spec/1","type":"function"},{"doc":"","ref":"Flagsmith.Supervisor.html#start_link/0","title":"Flagsmith.Supervisor.start_link/0","type":"function"},{"doc":"Ecto schema representing a Flagsmith Environment definition.","ref":"Flagsmith.Schemas.Environment.html","title":"Flagsmith.Schemas.Environment","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.html#t:t/0","title":"Flagsmith.Schemas.Environment.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith Flag definition.","ref":"Flagsmith.Schemas.Flag.html","title":"Flagsmith.Schemas.Flag","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Flag.html#t:t/0","title":"Flagsmith.Schemas.Flag.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith Flags structure, containing a map of ids to flags, and a client configuration field.","ref":"Flagsmith.Schemas.Flags.html","title":"Flagsmith.Schemas.Flags","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Flags.html#t:t/0","title":"Flagsmith.Schemas.Flags.t/0","type":"type"},{"doc":"Ecto schema representing an object containing a Flagsmith identity with flags and traits.","ref":"Flagsmith.Schemas.Identity.html","title":"Flagsmith.Schemas.Identity","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Identity.html#t:t/0","title":"Flagsmith.Schemas.Identity.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith feature definition as represented in a full environment FeatureState.","ref":"Flagsmith.Schemas.Environment.Feature.html","title":"Flagsmith.Schemas.Environment.Feature","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.Feature.html#t:t/0","title":"Flagsmith.Schemas.Environment.Feature.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith full feature state definition (as represented in the environment definition).","ref":"Flagsmith.Schemas.Environment.FeatureState.html","title":"Flagsmith.Schemas.Environment.FeatureState","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.FeatureState.html#t:t/0","title":"Flagsmith.Schemas.Environment.FeatureState.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith integration definition.","ref":"Flagsmith.Schemas.Environment.Integration.html","title":"Flagsmith.Schemas.Environment.Integration","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.Integration.html#t:t/0","title":"Flagsmith.Schemas.Environment.Integration.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith multivariate feature option.","ref":"Flagsmith.Schemas.Environment.MultivariateFeatureOption.html","title":"Flagsmith.Schemas.Environment.MultivariateFeatureOption","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.MultivariateFeatureOption.html#t:t/0","title":"Flagsmith.Schemas.Environment.MultivariateFeatureOption.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith environment multivariate feature state value.","ref":"Flagsmith.Schemas.Environment.MultivariateFeatureStateValue.html","title":"Flagsmith.Schemas.Environment.MultivariateFeatureStateValue","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.MultivariateFeatureStateValue.html#t:t/0","title":"Flagsmith.Schemas.Environment.MultivariateFeatureStateValue.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith organisation definition.","ref":"Flagsmith.Schemas.Environment.Organisation.html","title":"Flagsmith.Schemas.Environment.Organisation","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.Organisation.html#t:t/0","title":"Flagsmith.Schemas.Environment.Organisation.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith environment project definition.","ref":"Flagsmith.Schemas.Environment.Project.html","title":"Flagsmith.Schemas.Environment.Project","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Environment.Project.html#t:t/0","title":"Flagsmith.Schemas.Environment.Project.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith base feature definition. This differs from the Flagsmith.Schemas.Environment.Feature.t/0 in the fields that make it up.","ref":"Flagsmith.Schemas.Features.Feature.html","title":"Flagsmith.Schemas.Features.Feature","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Features.Feature.html#t:t/0","title":"Flagsmith.Schemas.Features.Feature.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith base feature state definition. This differs from the Flagsmith.Schemas.Environment.FeatureState.t/0 in the fields that make it up.","ref":"Flagsmith.Schemas.Features.FeatureState.html","title":"Flagsmith.Schemas.Features.FeatureState","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Features.FeatureState.html#t:t/0","title":"Flagsmith.Schemas.Features.FeatureState.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith Segment definition.","ref":"Flagsmith.Schemas.Segments.Segment.html","title":"Flagsmith.Schemas.Segments.Segment","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Segments.Segment.html#t:t/0","title":"Flagsmith.Schemas.Segments.Segment.t/0","type":"type"},{"doc":"Ecto schema representing a Flagsmith trait definition.","ref":"Flagsmith.Schemas.Traits.Trait.html","title":"Flagsmith.Schemas.Traits.Trait","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Traits.Trait.html#t:from_types/0","title":"Flagsmith.Schemas.Traits.Trait.from_types/0","type":"type"},{"doc":"","ref":"Flagsmith.Schemas.Traits.Trait.html#t:t/0","title":"Flagsmith.Schemas.Traits.Trait.t/0","type":"type"},{"doc":"Ecto type to aid casting values returned by the Flagsmith API that need to be compared. Since those values are weakly typed in different places and they need to be compared, it's necessary to be able to convert and assign a type to a value in order to when comparing that value with another one, the other one can be cast to the same type. This ecto type works as a struct containing the converted value in its correctly typed format and a field :type containing the corresponding type, so that it's easier to then cast any other stringed type into the same format.","ref":"Flagsmith.Schemas.Traits.Trait.Value.html","title":"Flagsmith.Schemas.Traits.Trait.Value","type":"module"},{"doc":"","ref":"Flagsmith.Schemas.Traits.Trait.Value.html#convert_value_to/2","title":"Flagsmith.Schemas.Traits.Trait.Value.convert_value_to/2","type":"function"},{"doc":"","ref":"Flagsmith.Schemas.Traits.Trait.Value.html#t:t/0","title":"Flagsmith.Schemas.Traits.Trait.Value.t/0","type":"type"},{"doc":"Ecto Type representing an atom based enum mapping to the possible condition operators in Flagsmith.","ref":"Flagsmith.Schemas.Types.Operator.html","title":"Flagsmith.Schemas.Types.Operator","type":"module"},{"doc":"Dumps but raises in case of non-valid data","ref":"Flagsmith.Schemas.Types.Operator.html#dump!/1","title":"Flagsmith.Schemas.Types.Operator.dump!/1","type":"function"},{"doc":"Given a desired format returns the matching values for that format , where format can be :atoms | :strings","ref":"Flagsmith.Schemas.Types.Operator.html#values/1","title":"Flagsmith.Schemas.Types.Operator.values/1","type":"function"},{"doc":"","ref":"Flagsmith.Schemas.Types.Operator.html#t:t/0","title":"Flagsmith.Schemas.Types.Operator.t/0","type":"type"},{"doc":"Ecto type representing an enum for possible Segment type evaluation rules.","ref":"Flagsmith.Schemas.Types.Segment.Type.html","title":"Flagsmith.Schemas.Types.Segment.Type","type":"module"},{"doc":"Dumps but raises in case of non-valid data","ref":"Flagsmith.Schemas.Types.Segment.Type.html#dump!/1","title":"Flagsmith.Schemas.Types.Segment.Type.dump!/1","type":"function"},{"doc":"Given a desired format returns the matching values for that format , where format can be :atoms | :strings","ref":"Flagsmith.Schemas.Types.Segment.Type.html#values/1","title":"Flagsmith.Schemas.Types.Segment.Type.values/1","type":"function"},{"doc":"","ref":"Flagsmith.Schemas.Types.Segment.Type.html#t:t/0","title":"Flagsmith.Schemas.Types.Segment.Type.t/0","type":"type"},{"doc":"Documentation: https://hexdocs.pm/flagsmith_engine Installation &nbsp; | Usage &nbsp; | Analytics / Local Evaluation &nbsp; | Examples &nbsp; | Options &nbsp; | Internals &nbsp; |","ref":"readme.html","title":"FlagsmithEngine","type":"extras"},{"doc":"The package can be installed by adding flagsmith_engine to your list of dependencies in mix.exs : def deps do [ { :flagsmith_engine , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"FlagsmithEngine - Installation","type":"extras"},{"doc":"To use the Flagsmith Client library you need to provide a configuration, this can be done either when doing a request, or by setting it at the application level. To configure it at the application level, add to the relevant config file (i.e.: config/config.exs ): config :flagsmith_engine , :configuration , environment_key : &quot;&lt;YOUR SDK KEY&gt;&quot; , api_url : &quot;https://api.flagsmith.com/api/v1&gt;&quot; , default_flag_handler : function_defaults_to_not_found , custom_headers : [ { &quot;to add to&quot; , &quot;the requests&quot; } ] , request_timeout_milliseconds : 5000 , enabled_local_evaluation : false , environment_refresh_interval_milliseconds : 60_000 , retries : 0 , enable_analytics : false Any field Flagsmith.Configuration.t/0 has can be set at the app level configuration. When set at the app level you don't need to generate clients when using Flagsmith.Client module functions, unless you want or need different options. To use the client library without application level configuration (or to override it) whenever a configuration is expected you can pass either a Flagsmith.Configuration.t/0 struct or a keyword list with the options as elements. For instance: { :ok , environment } = Flagsmith.Client . get_environment ( environment_key : &quot;MY_SDK_KEY&quot; , enable_local_evaluation : true ) Or by passing a Flagsmith.Configuration.t/0 to it: config = Flagsmith.Client . new ( environment_key : &quot;MY_SDK_KEY&quot; , enable_analytics : true , api_url : &quot;https://my-own-api-endpoint.com&quot; ) { :ok , environment } = Flagsmith.Client . get_environment ( config ) If you configured the Flagsmith.Client at the application level, with at least an :environment_key , you can simply call: { :ok , environment } = Flagsmith.Client . get_environment ( ) The precedence for the configuration values is Options &gt; Application config &gt; Defaults .","ref":"readme.html#usage","title":"FlagsmithEngine - Usage","type":"extras"},{"doc":"To enable analytics or local evaluation, besides setting the configuration keys enable_local_evaluation and/or enable_analytics to true, you need to make sure Flagsmith.Supervisor is started before calling the client module, usually by placing it in your application supervision tree: defmodule YourAppWeb.Application do # ... def start ( _type , _args ) do children = [ Flagsmith.Supervisor , # ... other stuff ] opts = [ strategy : :one_for_one , name : YourAppWeb.Supervisor ] Supervisor . start_link ( children , opts ) end # ... If you only use API evaluation without tracking any analytics you don't need to to start the supervisor.","ref":"readme.html#analytics-local-evaluation","title":"FlagsmithEngine - Analytics / Local Evaluation","type":"extras"},{"doc":"remember all configuration options can be instead set at the application level but we keep them here so it's easier to understand how they interact Get the value for multiple flags with a single API call # first get the overall environment { :ok , % Flagsmith.Schemas.Environment { } = environment } = Flagsmith.Client . get_environment ( environment_key : &quot;MY_SDK_KEY&quot; ) # now query for what you care about with the environment true = Flagsmith.Client . is_feature_enabled ( environment , &quot;my-feature-a&quot; ) false = Flagsmith.Client . is_feature_enabled ( environment , &quot;my-other-feature-b&quot; ) % Flagsmith.Schemas.Flag { enabled : false , feature_name : &quot;body_size&quot; , feature_id : 1234 , value : &quot;18px&quot; } = Flagsmith.Client . get_flag ( environment , &quot;body_size&quot; ) :not_found = Flagsmith.Client . get_flag ( environment , &quot;non_existing_feature&quot; ) This would also work by getting a flags schema: { :ok , % Flagsmith.Schemas.Flags { } = flags } = Flagsmith.Client . get_environment_flags ( environment_key : &quot;MY_SDK_KEY&quot; ) true = Flagsmith.Client . is_feature_enabled ( flags , &quot;my-feature-a&quot; ) false = Flagsmith.Client . is_feature_enabled ( flags , &quot;my-other-feature-b&quot; ) Local Evaluation If you have local evaluation enabled (remember to include the Flagsmith.Supervisor on your application supervision tree), then there's no need to worry about fetching the environment or flags to query - you can ask directly for the flag or if a feature is enabled, since the environment will be cached and automatically refreshed on given intervals, meaning there's no additional API calls: true = Flagsmith.Client . is_feature_enabled ( [ environment_key : &quot;MY_SDK_KEY&quot; , enable_local_evaluation : true ] , &quot;my-feature-a&quot; ) false = Flagsmith.Client . is_feature_enabled ( [ environment_key : &quot;MY_SDK_KEY&quot; , enable_local_evaluation : true ] , &quot;my-other-feature-b&quot; ) # if you configure your Flagsmith client at the application level, then you can do true = Flagsmith.Client . is_feature_enabled ( &quot;my-feature-a&quot; ) false = Flagsmith.Client . is_feature_enabled ( &quot;my-other-feature-b&quot; ) &quot;18px&quot; = Flagsmith.Client . get_feature_value ( &quot;title_font_size&quot; ) Analytics Tracking When you enable analytics reporting, besides having to start the Flagsmith.Supervisor for it to work, you need to query for flags/features/features values through the exposed functions in Flagsmith.Client.get_flag/2 Flagsmith.Client.is_feature_enabled/2 and Flagsmith.Client.get_feature_value/2 . This will update the tracking of the number of times they're accessed. Identity &amp; Traits When using local evaluation with identity based requests the provided traits will not be updated on the Flagsmith platform, and to properly calculate the flags for an identity you need to provide any relevant trait as well. For instance, to get the flags for the identity &quot;user-a&quot; with a given trait: { :ok , flags } = Flagsmith.Client . get_identity_flags ( [ environment_key : &quot;MY_SDK_KEY&quot; , enable_local_evaluation : true ] , &quot;user-a&quot; , [ %{ trait_key : &quot;is_subscribed&quot; , trait_value : false } ] ) &quot;true&quot; = Flagsmith.Client . get_feature_value ( flags , &quot;show_subscription&quot; ) If you don't provide the trait, even if on the Flagsmith platform the identity has that trait, you will get the flags as if it didn't: { :ok , flags } = Flagsmith.Client . get_identity_flags ( [ environment_key : &quot;MY_SDK_KEY&quot; , enable_local_evaluation : true ] , &quot;user-a&quot; , [ ] ) &quot;false&quot; = Flagsmith.Client . get_feature_value ( flags , &quot;show_subscription&quot; ) When using normal API calls the same call would update the given trait and then return the flags taking into account that trait value as well. { :ok , flags } = Flagsmith.Client . get_identity_flags ( [ environment_key : &quot;MY_SDK_KEY&quot; ] , &quot;user-a&quot; , [ %{ trait_key : &quot;is_subscribed&quot; , trait_value : false } ] ) &quot;true&quot; = Flagsmith.Client . get_feature_value ( flags , &quot;show_subscription&quot; ) And obviously, if the identity has that trait and you do the regular API call with no local evaluation, and without passing any trait in the query, you'll get the flags as expected from the Flagsmith platform: { :ok , flags } = Flagsmith.Client . get_identity_flags ( [ environment_key : &quot;MY_SDK_KEY&quot; ] , &quot;user-a&quot; , [ ] ) &quot;true&quot; = Flagsmith.Client . get_feature_value ( flags , &quot;show_subscription&quot; )","ref":"readme.html#examples","title":"FlagsmithEngine - Examples","type":"extras"},{"doc":"environment_key -&gt; a server side sdk key (required) api_url -&gt; the base url to which requests against the Flagsmith API will be made (defaults to: &quot;https://api.flagsmith.com/api/v1&quot; ) default_flag_handler -&gt; a 1 arity function that receives a feature name (String.t()) and is called when calling feature related functions and the given feature isn't found or the API call fails -&gt; defaults to returning :not_found custom_headers -&gt; additional headers to include in the calls to the Flagsmith API, defaults to an empty list (no additional headers) request_timeout_milliseconds -&gt; the timeout for the HTTP adapter when doing calls to the Flagsmith API (defaults to 5_000 milliseconds) enable_local_evaluation -&gt; starts a poller cache for each sdk key in use, on their first invocation and keeps a local auto-refreshing cache with the environment document for each. This allows you to keep Flagsmith API calls to a minimum as the environment can be fetched locally and used for any other related functionality in the client. environment_refresh_interval_milliseconds -&gt; the time to wait between polling the Flagsmith API for a new environment document, only relevant if enable_local_evaluation is set to true. retries -&gt; the number of times the http adapter is allowed to retry failed calls to the Flagsmith API before deeming the response failed. Keep in mind that with local_evaluation and analytics, even if the requests fail after whatever number of retries you set here, they will keep being retried as their time-cycle resets (for the poller whatever is the environment_refresh_interval_milliseconds, for the analytics they're batched, and a dump is tried every 1 minute) enable_analytics -&gt; track feature queries by reporting automatically to the Flagsmith API analytics endpoint queries and lookups to features. This only works when using the Flagsmith.Client module functions such as is_feature_enabled , get_feature_value and get_flag .","ref":"readme.html#options","title":"FlagsmithEngine - Options","type":"extras"}]